<!DOCTYPE html>
<html>


<body>
  <div class="naslov">
    <h1>Trattoria La Campana</h1>
    <p>...perfect place to grab a quick bite and wash it down with some wine</p>
  </div>
<div class="p1">
  <th>Search through food</th>
  <th> <input [(ngModel)]="pretraga" type="text" placeholder="Search" /></th>
  <th><button type="button" class="btn btn-secondary" (click)="search(pretraga)">Filter</button></th>
</div>
  <table>
    <div>
      <th>Name</th>
      <th>Category</th>
      <th>Price</th>
      <th *ngIf="logged" class="item">Action</th>
    </div>

    <li *ngFor="let food of foods; let i = index">
      <tr>
        <td>{{ food.naziv }}</td>
        <td>{{ food.kategorija.naziv}}</td>
        <td>{{ food.cena}} din</td>
        <li *ngIf="logged" class="item">
          <button type="button" class="btn btn-danger deleteButton" (click)="deleteFood(this.food.id)">Delete</button>
          <button type="button" class="btn btn-warning updateButton" (click)="showFormToggle(this.food.id)">Update</button>
        </li>
     
      </tr>

  </table>


  <button *ngIf="this.pageNo==0" disabled class="btn btn-primary previous" (click)="previousPage()">
    Previous page
  </button>
  <button *ngIf="this.pageNo>0" class="btn btn-primary previous" (click)="previousPage()">
    Previous page
  </button>

  <button class="btn btn-primary next" (click)="nextPage()">
    Next page
  </button>



<div>
<div class="forma" *ngIf="isChecked">


  <div class="col-md-9 pe-5">

    Name<input [(ngModel)]="food.naziv" type="text" placeholder="Food's name" class="form-control form-control-lg" />





    Price<input [(ngModel)]="food.cena" type="text" min="0"  placeholder="Food's price" type="number" step="50"
      class="form-control form-control-lg" />
    
    <button  class="btn btn-warning resetUpdateButton" (click)="resetFood(this.food)">Reset</button>
    <button class="btn btn-success submitButton" (click)="updateFood(this.food,this.food.id)" >Submit</button>
  </div>

  </div>

</div>
</body>
</html>